from helix.models.panel import Panel
from helix.user_values import UserValues


class SeismicValidatorUserValues(UserValues):
    def __init__(self, user_values, user_seismic):
        super().__init__(user_values.store, user_values.site)
        self.user_seismic = user_seismic

    def user_override_seismic_anchors(self):
        return True

    def get_user_provided_seismic_anchors(self):
        return [Panel(id=x['panel_id'], seismic_anchors=x['seismic_anchors']) for x in self.user_seismic]
